Bug 583916 - Regression: Redraw error when maximizing window
Regression: Redraw error when maximizing window
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-20 04:24 EDT by Mads Kiilerich
Modified: 2011-06-27 11:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 11:45:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
the redraw error (9.49 KB, image/png)
2010-04-20 04:34 EDT, Mads Kiilerich
no flags Details
backport of 405ed5bb from vte.git (5.06 KB, patch)
2010-08-02 10:59 EDT, Joshua Roys
no flags Details | Diff

  None (edit)
Description Mads Kiilerich 2010-04-20 04:24:57 EDT
Description of problem:

When I maximize gnome-terminal it shows correctly, but after alt-tab to another application and back there is some kind of redraw error: A thick black line (with holes where the cursor is redrawn) at the bottom, in the last half text line which always is empty.

No big issue, but it is very visible (when maximizing) and looks bad.


Version-Release number of selected component (if applicable):

gnome-terminal-2.30.0-1.fc13.i686
vte-0.24.0-1.fc13.i686
Comment 1 Mads Kiilerich 2010-04-20 04:34:28 EDT
Created attachment 407762 [details]
the redraw error
Comment 2 Joshua Roys 2010-07-20 11:26:45 EDT
This was reported for rhel6 as well in rhbz 602452.  A new release or a backport would be greatly appreciated - that black line is driving me crazy :)
Comment 3 Mads Kiilerich 2010-07-20 15:42:49 EDT
Actually it has been a while since I have noticed this on Fedora 13. I will keep an eye open if it has been fixed. 

I'm using a vte package from april, so it can't have been fixed by fix mentioned in bug 602452.
Comment 4 Joshua Roys 2010-08-02 10:59:08 EDT
Created attachment 436046 [details]
backport of 405ed5bb from vte.git

I'm still seeing this, and so I backported 405ed5bb (needed only one trivial change at line 110 of the patch) and also upgraded to vte-0.24.3, which seems to contain a (re-)fix for a CVE, albeit a very old one.

The patch seems to have fixed it - actions that would guarantee a black line at the bottom no longer cause it.
Comment 5 Bug Zapper 2011-06-02 11:04:21 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2011-06-27 11:45:21 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.